System Requirements.

GEOe-View requires the Microsoft .NET Framework 4.0 to be installed on your machine. If your machine does not have this installed the .NET Framework 4.0 components required to run GEOe-View on your machine will be downloaded and installed with the GEOe-View installation. This will require an active internet connection.

GEOe-View no longer supports Windows XP Professional x64 Edition. Please contact your nearest Geologix office if you need further information and assistance.

Minimum recommended system requirements for the GEOSuite7.5:

Processor: 1 GHz or higher. x86 or x64

Operating System: Windows: Windows XP (SP3), Windows Vista (SP1), Windows 7, Windows 8, Windows 8.1, Windows 10

Memory: 512 MB of RAM (Windows XP); 1 GB of RAM (Windows Vista); 2 GB of RAM (Windows 7, Windows 8, Windows 8.1, Windows 10)

Hard disk: 20 MB (exc. MS .NET Framework 4 installation); 870 MB (inc. MS .NET Framework 4 installation on x86 processor); 2 GB (inc. MS .NET Framework 4 installation on x64 processor)

Display: 1024 x 768 display (1280 x 800 recommended)